Approvers
List approver changes
Lists approver changes, newest first.
GET
/
approval-issuers
/
changes
cURL
curl "https://parmana-api-real.vercel.app/approval-issuers/changes?status=PENDING_APPROVAL" \
-H "Authorization: Bearer $PARMANA_API_KEY"import { ParmanaClient } from "@parmana/sdk";
const client = new ParmanaClient({
endpoint: "https://parmana-api-real.vercel.app",
apiKey: process.env.PARMANA_API_KEY!,
});
const changes = await client.approverChanges("PENDING_APPROVAL");
console.log(changes.length);import os
from parmana import ParmanaClient
client = ParmanaClient(
endpoint="https://parmana-api-real.vercel.app",
api_key=os.environ["PARMANA_API_KEY"],
)
changes = client.approver_changes("PENDING_APPROVAL")
print(len(changes))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://parmana-sandbox.vercel.app/approval-issuers/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-sandbox.vercel.app/approval-issuers/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://parmana-sandbox.vercel.app/approval-issuers/changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://parmana-sandbox.vercel.app/approval-issuers/changes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-sandbox.vercel.app/approval-issuers/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"changes": [
{
"changeId": "ba7c5827-5844-4069-94fc-9b438ef08f78",
"action": "add",
"approverId": "manager-priya",
"keyId": "manager-priya-key-1",
"publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAEDuWHf+bbRY7J/Mr0RVmAKYHH5CDijTWhdnISXWLD6Y=\n-----END PUBLIC KEY-----\n",
"reason": "Priya approves refunds for the West region from October.",
"proposedBy": "human-maker",
"proposedAt": "2026-09-28T19:05:59.726Z",
"status": "PENDING_APPROVAL"
}
]
}{
"error": "status must be one of PENDING_APPROVAL, APPROVED, REJECTED."
}{
"error": "authentication required"
}{
"error": "This action requires a caller credential provisioned as a verified human (credentialHolderType: USER).",
"code": "NON_HUMAN_CALLER_DENIED"
}Authorizations
Caller API key issued by scripts/generate-api-key.ts. Sent as Authorization: Bearer . Verified against a stored SHA-256 hash in constant time by packages/api/src/auth/StaticKeyAuthenticator.ts. Required on every route not listed as exempt in this document's top-level description. See /api-reference/authentication.
Query Parameters
PENDING_APPROVAL, APPROVED or REJECTED. Omit for all.
Available options:
PENDING_APPROVAL, APPROVED, REJECTED Response
The changes.
Response of GET /approval-issuers/changes, newest first.
Show child attributes
Show child attributes
⌘I
cURL
curl "https://parmana-api-real.vercel.app/approval-issuers/changes?status=PENDING_APPROVAL" \
-H "Authorization: Bearer $PARMANA_API_KEY"import { ParmanaClient } from "@parmana/sdk";
const client = new ParmanaClient({
endpoint: "https://parmana-api-real.vercel.app",
apiKey: process.env.PARMANA_API_KEY!,
});
const changes = await client.approverChanges("PENDING_APPROVAL");
console.log(changes.length);import os
from parmana import ParmanaClient
client = ParmanaClient(
endpoint="https://parmana-api-real.vercel.app",
api_key=os.environ["PARMANA_API_KEY"],
)
changes = client.approver_changes("PENDING_APPROVAL")
print(len(changes))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://parmana-sandbox.vercel.app/approval-issuers/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-sandbox.vercel.app/approval-issuers/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://parmana-sandbox.vercel.app/approval-issuers/changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://parmana-sandbox.vercel.app/approval-issuers/changes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-sandbox.vercel.app/approval-issuers/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"changes": [
{
"changeId": "ba7c5827-5844-4069-94fc-9b438ef08f78",
"action": "add",
"approverId": "manager-priya",
"keyId": "manager-priya-key-1",
"publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAEDuWHf+bbRY7J/Mr0RVmAKYHH5CDijTWhdnISXWLD6Y=\n-----END PUBLIC KEY-----\n",
"reason": "Priya approves refunds for the West region from October.",
"proposedBy": "human-maker",
"proposedAt": "2026-09-28T19:05:59.726Z",
"status": "PENDING_APPROVAL"
}
]
}{
"error": "status must be one of PENDING_APPROVAL, APPROVED, REJECTED."
}{
"error": "authentication required"
}{
"error": "This action requires a caller credential provisioned as a verified human (credentialHolderType: USER).",
"code": "NON_HUMAN_CALLER_DENIED"
}